Skip to main content
GET
Try Cobo WaaS Skill in your AI coding assistant (Claude Code, Cursor, etc.). Describe your needs in natural language to auto-generate production-ready SDK code and debug faster 🚀

Authorizations

BIZ-API-KEY
string
header
required

The API key. For more details, refer to API key.

In the API playground, enter your API secret, and your API key will be accordingly calculated.

Query Parameters

callback_message_ids
string

A list of callback message IDs, separated by commas.

request_ids
string

A list of request IDs, separated by commas. The request ID is provided by you and must be unique within your organization.

transaction_ids
string

A list of transaction IDs, separated by commas.

wallet_ids
string

A list of wallet IDs, separated by commas.

status
enum<string>

The callback message status. Possible values include Approved, Denied, and Failed.

Available options:
Denied,
Approved,
Failed
limit
integer<int32>
default:10

The maximum number of objects to return. For most operations, the value range is [1, 50].

before
string

A cursor indicating the position before the current page. This value is generated by Cobo and returned in the response. If you are paginating forward from the beginning, you do not need to provide it on the first request. When paginating backward (to the previous page), you should pass the before value returned from the last response.

after
string

A cursor indicating the position after the current page. This value is generated by Cobo and returned in the response. You do not need to provide it on the first request. When paginating forward (to the next page), you should pass the after value returned from the last response.

Response

The information about callback messages.

data
object[]
required
pagination
object
required

The pagination information of the returned data.